Package Details: protobuf-static 3.10.1-1

Git Clone URL: https://aur.archlinux.org/protobuf-static.git (read-only)
Package Base: protobuf-static
Description: Protocol Buffers - Google's data interchange format
Upstream URL: https://developers.google.com/protocol-buffers/
Licenses: BSD
Conflicts: protobuf
Provides: protobuf=3.10.1
Submitter: thrasibule
Maintainer: thrasibule
Last Packager: thrasibule
Votes: 1
Popularity: 0.58
First Submitted: 2018-10-10 19:32
Last Updated: 2019-11-13 18:48

Required by (329)

Sources (2)

Latest Comments

frederikv commented on 2019-07-04 12:18

I notice v3.8.0 is available

--- a/PKGBUILD +++ b/PKGBUILD @@ -9,7 +9,7 @@

pkgname='protobuf-static' _pkgname='protobuf' -pkgver=3.7.1 +pkgver=3.8.0 pkgrel=1 pkgdesc="Protocol Buffers - Google's data interchange format" arch=('x86_64') @@ -22,7 +22,7 @@ provides=("protobuf=$pkgver") conflicts=('protobuf') source=("$_pkgname-$pkgver.tgz::https://github.com/google/${_pkgname}/archive/v${pkgver}.tar.gz" "no-thirdparty.patch") -sha256sums=('f1748989842b46fa208b2a6e4e2785133cfcc3e4d43c17fecb023733f0f5443f' +sha256sums=('03d2e5ef101aee4c2f6ddcf145d2a04926b9c19e7086944df3842b1b8502b783' '6fc836196e69b872794e821111df64effe69f984d46d83c902a9df8953a868b3')

prepare() {

petronny commented on 2018-10-26 08:55

I don't know why but I have to add

provides=("protobuf=$pkgver")

to let python-protobuf agree to replace protobuf.

Could you add it?